Bug 987472 - Review Request: undertow - Java web server using non-blocking IO
Review Request: undertow - Java web server using non-blocking IO
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 983981
  Show dependency treegraph
 
Reported: 2013-07-23 08:53 EDT by Marek Goldmann
Modified: 2013-07-26 03:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 03:55:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2013-07-23 08:53:07 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/undertow/1/undertow.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/undertow/1/undertow-1.0.0-0.2.Beta3.fc19.src.rpm
Fedora Account System Username: goldmann

Description:

Java web server using non-blocking IO

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5644123
Comment 1 Marek Goldmann 2013-07-24 02:25:52 EDT
Rebuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=5649989
Comment 2 gil cattaneo 2013-07-24 04:02:07 EDT
hi
is available a new version: 1.0.0.Beta5.
please, consider upgrading.
regards
Comment 3 Marek Goldmann 2013-07-24 04:05:56 EDT
Skipping Beta5, WildFly Alpha3 requires Beta3. This will be upgraded to newer version once WildFly will require it.
Comment 4 gil cattaneo 2013-07-24 04:26:25 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
  IGNORE: manual review.
  In rawhide build fails wit the following errors:
[ERROR] /builddir/build/BUILD/undertow-1.0.0.Beta3/parser-generator/src/main/java/io/undertow/annotationprocessor/AbstractParserGenerator.java:[40,38] cannot find symbol
  symbol:   class TableSwitchBuilder
  location: package org.jboss.classfilewriter.code
[ERROR] /builddir/build/BUILD/undertow-1.0.0.Beta3/parser-generator/src/main/java/io/undertow/annotationprocessor/AbstractParserGenerator.java:[635,68] cannot find symbol
  symbol:   class TableSwitchBuilder
  location: class io.undertow.annotationprocessor.AbstractParserGenerator
[ERROR] /builddir/build/BUILD/undertow-1.0.0.Beta3/parser-generator/src/main/java/io/undertow/annotationprocessor/AbstractParserGenerator.java:[253,9] cannot find symbol
  symbol:   class TableSwitchBuilder
  location: class io.undertow.annotationprocessor.AbstractParserGenerator
[ERROR] /builddir/build/BUILD/undertow-1.0.0.Beta3/parser-generator/src/main/java/io/undertow/annotationprocessor/AbstractParserGenerator.java:[253,42] cannot find symbol
  symbol:   class TableSwitchBuilder
  location: class io.undertow.annotationprocessor.AbstractParserGenerator
[ERROR] /builddir/build/BUILD/undertow-1.0.0.Beta3/parser-generator/src/main/java/io/undertow/annotationprocessor/AbstractParserGenerator.java:[485,10] cannot find symbol
  symbol:   method setupFrame(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)
  location: variable c of type org.jboss.classfilewriter.code.CodeAttribute
[INFO] 5 errors

- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'
Please, remove these classes:
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk6/sun/nio/ch/KQueueSelectorImpl$MapEntry.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk6/sun/nio/ch/KQueueArrayWrapper$Update.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk6/sun/nio/ch/KQueueArrayWrapper.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk6/sun/nio/ch/KQueueSelectorImpl.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk7/sun/nio/ch/KQueueSelectorImpl$MapEntry.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk7/sun/nio/ch/KQueueArrayWrapper$Update.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk7/sun/nio/ch/KQueueArrayWrapper.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk7/sun/nio/ch/KQueueSelectorImpl.class

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in undertow-
     javadoc
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "LGPL (v2.1 or later)", "GPL (v2)", "Unknown or
     generated". 261 files have unknown license.
     Please, FIXME
GPL (v2) << GPLv2 with exceptions
--------
/mac-jdk-fix/jdk6/KQueueArrayWrapper.java
/mac-jdk-fix/jdk6/KQueueSelectorImpl.java
/mac-jdk-fix/jdk7/KQueueArrayWrapper.java
/mac-jdk-fix/jdk7/KQueueSelectorImpl.java

LGPL (v2.1 or later)
--------------------
/core/src/main/java/io/undertow/client/HttpClient.java
/core/src/main/java/io/undertow/client/HttpClientConnection.java
/core/src/main/java/io/undertow/client/HttpClientRequest.java
/core/src/main/java/io/undertow/client/HttpClientResponse.java
/core/src/main/java/io/undertow/server/TruncatedResponseException.java

[!]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: If tests are skipped during package build explain why it was needed in a
     comment
     Note: Tests seem to be skipped. Verify there is a commment giving a
     reason for this
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
     MISSING text license file for "GPLv2 with exceptions" and "LGPLv2+"
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/gil/987472-undertow/undertow-1.0.0-0.2.Beta3.fc20.noarch.rpm /home/gil/987472-undertow/undertow-javadoc-1.0.0-0.2.Beta3.fc20.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-19-i386/root/', 'install', '/home/gil/987472-undertow/undertow-1.0.0-0.2.Beta3.fc20.noarch.rpm', '/home/gil/987472-undertow/undertow-javadoc-1.0.0-0.2.Beta3.fc20.noarch.rpm', '--setopt=tsflags=nocontexts']
Errore: Pacchetto: undertow-1.0.0-0.2.Beta3.fc20.noarch (/undertow-1.0.0-0.2.Beta3.fc20.noarch)
            Richiede: mvn(io.undertow.jastow:jastow)
Errore: Pacchetto: undertow-1.0.0-0.2.Beta3.fc20.noarch (/undertow-1.0.0-0.2.Beta3.fc20.noarch)
            Richiede: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
Errore: Pacchetto: undertow-1.0.0-0.2.Beta3.fc20.noarch (/undertow-1.0.0-0.2.Beta3.fc20.noarch)
            Richiede: mvn(org.jboss.spec.javax.websocket:jboss-websocket-api_1.0_spec)
 Si può provare ad usare --skip-broken per aggirare il problema
 Provare ad eseguire: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: undertow-1.0.0-0.2.Beta3.fc20.noarch.rpm
          undertow-javadoc-1.0.0-0.2.Beta3.fc20.noarch.rpm
undertow-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Jar and class files in source
-----------------------------
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk6/sun/nio/ch/KQueueSelectorImpl$MapEntry.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk6/sun/nio/ch/KQueueArrayWrapper$Update.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk6/sun/nio/ch/KQueueArrayWrapper.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk6/sun/nio/ch/KQueueSelectorImpl.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk7/sun/nio/ch/KQueueSelectorImpl$MapEntry.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk7/sun/nio/ch/KQueueArrayWrapper$Update.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk7/sun/nio/ch/KQueueArrayWrapper.class
./undertow-1.0.0.Beta3/mac-jdk-fix/jdk7/sun/nio/ch/KQueueSelectorImpl.class


Requires
--------
undertow (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(io.undertow.jastow:jastow)
    mvn(org.eclipse.jdt:core)
    mvn(org.jboss.classfilewriter:jboss-classfilewriter)
    mvn(org.jboss.logging:jboss-logging)
    mvn(org.jboss.spec.javax.servlet.jsp:jboss-jsp-api_2.2_spec)
    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
    mvn(org.jboss.spec.javax.websocket:jboss-websocket-api_1.0_spec)
    mvn(org.jboss.xnio:xnio-api)
    mvn(org.jboss.xnio:xnio-nio)

undertow-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
undertow:
    mvn(io.undertow:undertow-build-config)
    mvn(io.undertow:undertow-core)
    mvn(io.undertow:undertow-jsp)
    mvn(io.undertow:undertow-parent)
    mvn(io.undertow:undertow-parser-generator)
    mvn(io.undertow:undertow-servlet)
    mvn(io.undertow:undertow-websockets-jsr)
    undertow

undertow-javadoc:
    undertow-javadoc



Source checksums
----------------
https://github.com/undertow-io/undertow/archive/1.0.0.Beta3.tar.gz :
  CHECKSUM(SHA256) this package     : 3525616ec55ac0b58a9e63049aad3f63ccc330a37d36dc86dae4f48d5fcbe9f7
  CHECKSUM(SHA256) upstream package : 3525616ec55ac0b58a9e63049aad3f63ccc330a37d36dc86dae4f48d5fcbe9f7


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-i386
Command line :/usr/bin/fedora-review -vpn undertow
Comment 5 Marek Goldmann 2013-07-24 04:47:18 EDT
New jboss-classfilewriter is available in Rawhide that fixes the problem.

I'll fix the licensing issues and remove the .class files at the import time. Thanks!

New Package SCM Request
=======================
Package Name: undertow
Short Description: Java web server using non-blocking IO
Owners: goldmann
Comment 6 Gwyn Ciesla 2013-07-24 08:02:18 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.